JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.LUID_AND_ATTRIBUTES

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.LUID_AND_ATTRIBUTES

Enclosing interface:
  WinNT

    public static class WinNT.LUID_AND_ATTRIBUTES

extends Structure

The LUID_AND_ATTRIBUTES structure represents a locally unique identifier (LUID) and its attributes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinDef.DWORD` | `Attributes` Specifies attributes of the LUID.
`WinNT.LUID` | `Luid` Specifies an LUID value.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.LUID_AND_ATTRIBUTES()`
`WinNT.LUID_AND_ATTRIBUTES(WinNT.LUID luid, WinDef.DWORD attributes)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Luid

    public WinNT.LUID Luid

  Specifies an LUID value.

### Attributes

    public WinDef.DWORD Attributes

  Specifies attributes of the LUID. This value contains up to 32 one-bit flags. Its meaning is dependent on the definition and use of the LUID.

Constructor Detail

### WinNT.LUID_AND_ATTRIBUTES

    public WinNT.LUID_AND_ATTRIBUTES()

### WinNT.LUID_AND_ATTRIBUTES

    public WinNT.LUID_AND_ATTRIBUTES(WinNT.LUID luid,
                                     WinDef.DWORD attributes)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.